class LevelSelect extends ManageLang {
    constructor(father, level = "") {
        super('LevelSelect');
        this.father = father;
        this.level = level;
    }

    create() {
        super.create();
        let style = {font: (HEIGHT_WINDOW / 5).toString() + 'px stencil', fill: "#e2e2e2"};
        let text = this.add.text(WIDTH_WINDOW / 2, HEIGHT_WINDOW / 6, "WARIA", style).setOrigin(0.5, 0.5);
        this.createLevel(WIDTH_WINDOW / 3, HEIGHT_WINDOW / 2, 1);
        this.createLevel(WIDTH_WINDOW / 1.5, HEIGHT_WINDOW / 2, 2);
    }

    createLevel(x, y, number = 0) {
        let width = WIDTH_WINDOW / 8;
        let btn = this.add.image(x, y, 'rectangle').setOrigin(0.5, 0.5).setInteractive();
        btn.displayHeight = btn.displayWidth = width;
        let style = {font: (width / 2).toString() + 'px stencil', fill: "#000000"};
        let text = this.add.text(x, y, number.toString(), style).setOrigin(0.5, 0.5);
        btn.on('pointerover', () => this.over(btn, text));
        btn.on('pointerout', () => this.out(btn, text));
        btn.on('pointerdown', () => this.click(number));

        new Button(this, 10, 10, WIDTH_BUTTON, WIDTH_BUTTON, 'back', () => this.clickBack()).setOrigin(0, 0);
    }

    over(btn, text) {
        btn.setFrame(1);
        text.setColor("white");
    }

    out(btn, text) {
        btn.setFrame(0);
        text.setColor("black");
        //text.setFill(0xffffff);
    }

    click(number) {
        number -= 1;
        this.level += number.toString();
        newGame(this.father, this.level);
        this.scene.start('Game');
    }

    clickBack() {
        this.scene.start('Type');
    }
}